800917b5a2
- Update to Xen 4.1.2_rc2 c/s 23152 - bnc#716695 - domUs using tap devices will not start updated multi-xvdp.patch - Upstream patches from Jan 23803-intel-pmu-models.patch 23800-x86_64-guest-addr-range.patch 23795-intel-ich10-quirk.patch 23804-x86-IPI-counts.patch - bnc#706106 - Inconsistent reporting of VM names during migration xend-migration-domname-fix.patch - bnc#712823 - L3:Xen guest does not start reliable when rebooted xend-vcpu-affinity-fix.patch OBS-URL: https://build.opensuse.org/package/show/Virtualization/xen?expand=0&rev=143
24 lines
950 B
Diff
24 lines
950 B
Diff
Index: xen-4.1.2-testing/tools/hotplug/Linux/init.d/xencommons
|
|
===================================================================
|
|
--- xen-4.1.2-testing.orig/tools/hotplug/Linux/init.d/xencommons
|
|
+++ xen-4.1.2-testing/tools/hotplug/Linux/init.d/xencommons
|
|
@@ -57,6 +57,18 @@ do_start () {
|
|
local time=0
|
|
local timeout=30
|
|
|
|
+ # Load XEN backend modules
|
|
+ # NB: They could be loaded later, e.g. when dom0 hotplug events occur,
|
|
+ # but for now it's safest to have them loaded here.
|
|
+ modprobe evtchn 2>/dev/null || true
|
|
+ modprobe gntdev 2>/dev/null || true
|
|
+ modprobe blktap 2>/dev/null || true
|
|
+ modprobe blkbk 2>/dev/null || true
|
|
+ modprobe netbk 2>/dev/null || true
|
|
+ modprobe usbbk 2>/dev/null || true
|
|
+ # xenblk (frontend module) is needed in dom0, allowing it to use vbds
|
|
+ modprobe xenblk 2>/dev/null || true
|
|
+
|
|
if ! `xenstore-read -s / >/dev/null 2>&1`
|
|
then
|
|
test -z "$XENSTORED_ROOTDIR" || XENSTORED_ROOTDIR="/var/lib/xenstored"
|